package com.diagbot.dto;

import com.diagbot.entity.KlRuleSearch;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: dsYun
 * @time: 2024/10/29 10:49
 */
@Data
public class AllRulesDTO {

    //有效规则Map
    Map<String, RuleDTO> ruleDTOMap = new HashMap();
    //药物过敏源
    Map<String, Integer> drugAllergen = new HashMap<>();
    //规则搜索有效的规则ID
    List<KlRuleSearch> klRuleSearchList = new ArrayList<>();
}
