package com.diagbot.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.KlClassicCase;
import com.diagbot.entity.KlClassicCaseInfo;
import com.diagbot.model.entity.Lis;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 经典病例表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-15
 */
public interface KlClassicCaseInfoService extends IService<KlClassicCaseInfo> {
    public List<KlClassicCaseInfo> listInfo(@Param("conceptIds") List<Long> conceptIds);

    public KlClassicCaseInfo getOneCase(@Param("conceptId") Long conceptId);

}
