package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.KlClassicCaseDTO;
import com.diagbot.dto.KlConceptStaticDTO;
import com.diagbot.entity.KlClassicCase;
import com.diagbot.entity.KlClassicCaseInfo;
import com.diagbot.entity.KlOperation;
import com.diagbot.vo.KlClassicCasePageVO;
import com.diagbot.vo.KlConceptStaticPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 经典病例表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-15
 */
public interface KlClassicCaseService extends IService<KlClassicCase> {

    IPage<KlClassicCaseDTO> getClassicCase(@Param("klClassicCasePageVO") KlClassicCasePageVO klClassicCasePageVO);
}
