package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/18 15:59
 */
@Getter
@Setter
public class ClassicCaseIndexDTO {
    /**
     * 术语id
     */
    private Long id;
    /**
     * 术语名称
     */
    private String name;
    /**
     * 词性
     */
    private Integer type;
    /**
     * 词性
     */
    private String typeName;
    /**
     * 同义词
     */
    private String retrievalName;
    /**
     * 是否有静态知识
     */
    private Integer hasInfo = 0;
    /**
     * 启用禁用
     */
    private Integer status;
    /**
     * 收藏状态：0-未收藏，1-已收藏
     */
    private Integer collectionStatus = 0;
}