package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.KlClassicCaseDTO;
import com.diagbot.dto.KlConceptStaticDTO;
import com.diagbot.entity.KlClassicCase;
import com.diagbot.entity.KlClassicCaseInfo;
import com.diagbot.entity.KlOperation;
import com.diagbot.mapper.KlClassicCaseMapper;
import com.diagbot.mapper.KlOperationMapper;
import com.diagbot.service.KlClassicCaseService;
import com.diagbot.service.KlOperationService;
import com.diagbot.vo.KlClassicCasePageVO;
import com.diagbot.vo.KlConceptStaticPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 经典病例表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-15
 */
@Service
public class KlClassicCaseServiceImpl extends ServiceImpl<KlClassicCaseMapper, KlClassicCase> implements KlClassicCaseService {

    @Override
    public IPage<KlClassicCaseDTO> getClassicCase(@Param("klClassicCasePageVO") KlClassicCasePageVO klClassicCasePageVO) {
        return baseMapper.getClassicCase(klClassicCasePageVO);
    }
}
